<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::get('/', 'Index/index');

// 产品相关路由
Route::group('product', function () {
    // 产品分类页
    Route::get('category/:id', 'Product/category');
    // 产品分类 - 查看子类
    Route::get('subcategory/:id', 'Product/subcategory');
    // 单纯分类页
    Route::get('classify/:id', 'Product/classify');
    // 产品详情页
    Route::get('detail/:id', 'Product/detail');
    // 产品询盘
    Route::post('inquiry', 'Product/inquiry');
    // 新品上市
    Route::get('newpro', 'Product/newpro');
    // 产品搜索页
    Route::get('search', 'Product/search');
});

// 文章相关路由
Route::group('article', function () {
    // 文章列表页
    Route::get('index/:pid', 'Article/index');
    // 文章详情页
    Route::get('detail/:id', 'Article/detail');
    // 文章搜索页
    Route::get('search', 'Article/search');
    // 文章留言
    Route::post('comment', 'Article/comment');
});

// 附件下载
Route::group('attachment', function () {
    // 软件驱动/手册
    Route::get('index', 'Attachment/index');
    // 视频
    Route::get('video', 'Attachment/video');
});

// 问答中心
Route::group('faq', function () {
    // 问答列表页
    Route::get('index', 'Faq/index');
});

// 关于我们
Route::group('aboutus', function () {
    // 品牌介绍
    Route::get('introduction', 'AboutUs/introduction');
    // 品牌故事
    Route::get('story', 'AboutUs/story');
    // 品牌里程
    Route::get('mileage', 'AboutUs/mileage');
    // 文化介绍
    Route::get('culture', 'AboutUs/culture');
    // 售后政策
    Route::get('policy', 'AboutUs/policy');
});

// 联系我们
Route::group('contactus', function () {
    // 联系我们
    Route::get('index', 'ContactUs/index');
    // 留言联系我们
    Route::get('message', 'ContactUs/message');
    // 提交留言联系我们
    Route::post('message', 'ContactUs/message');
    // 留言成为分销商
    Route::get('distributor', 'ContactUs/distributor');
    // 提交留言成为分销商
    Route::post('distributor', 'ContactUs/distributor');
    // 留言批量购买
    Route::get('bulkbuy', 'ContactUs/bulkbuy');
    // 提交留言批量购买
    Route::post('bulkbuy', 'ContactUs/bulkbuy');
});

// 专题
Route::group('topic', function () {
    // 专题-Nas
    Route::group('nas', function () {
        // 专题-Nas首页
        Route::get('index', 'TopicNas/index');
        // 专题-Nas产品体验页
        Route::get('product', 'TopicNas/product');
        // 专题-Nas客户合作页
        Route::get('cooperation', 'TopicNas/cooperation');
        // 专题-Nas帮助中心页
        Route::get('help', 'TopicNas/help');
        // 专题-Nas帮助中心详情页
        Route::get('help_detail', 'TopicNas/helpDetail');
        // 专题-Nas帮助中心搜索
        Route::post('help_search', 'TopicNas/helpSearch');
        // 专题-Nas软件下载页
        Route::get('download', 'TopicNas/download');
    });

    // 专题 - 电力品线
    Route::group('power_prodline', function() {
       // 专题 - 电力品线首页
       Route::get('index', 'TopicPowerProdline/index');
    });

    // 专题 - 笔记本电脑
    Route::group('laptop', function() {
        // 专题 - 笔记本电脑首页
        Route::get('index', 'TopicLaptop/index');
    });

    // 专题 - SSD
    Route::group('ssd', function() {
        // 专题 - SSD首页
        Route::get('index', 'TopicSsd/index');
    });
});

// 数据迁移
Route::get('/data/migration', 'DataMigration/index');
